org.deidentifier.arx.aggregates

## Class AggregateFunction.GenericSet<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.AggregateFunction<T>
  - - org.deidentifier.arx.aggregates.AggregateFunction.GenericSet<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AggregateFunction<T>

    public static class AggregateFunction.GenericSet<T>
    extends AggregateFunction<T>

An aggregate function that returns a set of all data values.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.aggregates.AggregateFunction

`AggregateFunction.AggregateFunctionBuilder<T>, AggregateFunction.AggregateFunctionWithParameter<T>, AggregateFunction.GenericArithmeticMean<T>, AggregateFunction.GenericArithmeticMeanOfBounds<T>, AggregateFunction.GenericBounds<T>, AggregateFunction.GenericCommonPrefix<T>, AggregateFunction.GenericConstant<T>, AggregateFunction.GenericGeometricMean<T>, AggregateFunction.GenericGeometricMeanOfBounds<T>, AggregateFunction.GenericInterval<T>, AggregateFunction.GenericSet<T>, AggregateFunction.GenericSetOfPrefixes<T>`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `aggregate(java.lang.String[] values)` This function returns an aggregate value.
`java.lang.String` `toLabel()` Returns a label.
`java.lang.String` `toString()`

### Methods inherited from class org.deidentifier.arx.aggregates.AggregateFunction

`forType, hasParameter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### aggregate

    public java.lang.String aggregate(java.lang.String[] values)

Description copied from class: `AggregateFunction`
This function returns an aggregate value.

Specified by:
  `aggregate` in class `AggregateFunction<T>`
Returns:

#### toLabel

    public java.lang.String toLabel()

Description copied from class: `AggregateFunction`
Returns a label.

Specified by:
  `toLabel` in class `AggregateFunction<T>`
Returns:

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in class `AggregateFunction<T>`